{% extends 'base/base_naked.html' %}

{% load cookielaw_tags %}
{% load staticfiles %}

{% block body %}

    <!-- Gitter -->
    <script src="https://sidecar.gitter.im/dist/sidecar.v1.js" async
            defer></script>
    <script>
        ((window.gitter = {}).chat = {}).options = {
            room: 'finemimperii/Lobby',
            activationElement: false
        };
    </script>

    <!-- cookie law -->
    <script src="{% static 'cookielaw/js/cookielaw.js' %}?{{ git_rev }}"></script>

    {% include "base/topnav.html" %}

    <div class="container-fluid">
        {% cookielaw_banner %}

        {% if request.hero and not hide_sidebar %}
            <div class="col-xs-12 col-md-3 well">
                <p class="text-center">
                    It's {{ request.hero.world.get_current_date }} in
                    <a href="{{ request.hero.world.get_absolute_url }}">{{ request.hero.world }}</a>.
                </p>
                <p class="text-center">
                    You are in {{ request.hero.location }}, a {{ request.hero.location.size_name }} in
                    {{ request.hero.location.tile.get_html_link|safe }}.
                </p>
                <iframe
                        id="minimap"
                        class="placeholder minimap"
                        scrolling="no"
                        src="{% url 'world:minimap' %}"
                ></iframe>

                <p class="text-center">
                    {{ request.hero.location.tile.get_html_link|safe }}
                    is controlled by
                    {{ request.hero.location.tile.controlled_by.get_violence_monopoly.get_html_link|safe }}.
                </p>

                {% for battle in request.hero.location.tile.get_current_battles %}
                    <p class="text-center">
                        <a href="{{ battle.get_absolute_url }}" class="btn btn-danger">
                            Battle in progress
                        </a>
                    </p>
                {% endfor %}

                <hr>

                <h5>Your position</h5>
                <ul>
                    {% for organization in request.hero.organization_set.all %}
                        <li>
                            {% if not organization.is_position %}Member of{% endif %}
                            {{ organization.get_html_link|safe }}
                        </li>
                    {% endfor %}
                </ul>

                <table class="table table-striped table-hover">
                    <thead>
                        <tr><td class="h5">Your units</td></tr>
                    </thead>
                    <tbody>
                        {% for unit in request.hero.worldunit_set.all %}
                            <tr>
                                <td>
                                    {{ unit.get_html_link|safe }}
                                    {% if unit.get_current_battle %}
                                        <a
                                                href="{{ unit.get_current_battle.get_absolute_url }}"
                                                class="btn btn-danger btn-sm"
                                        >Battle</a>
                                    {% endif %}
                                </td>
                                <td>
                                    {{ unit.status|capfirst }}
                                </td>
                            </tr>
                        {% empty %}
                            <tr><td class="text-center">
                                You own no units.<br>
                                <a href="{% url 'unit:recruit' %}"
                                   class="btn {% if request.hero.has_conscripting_capability_in_current_location %}btn-primary{% else %}btn-default{% endif %} btn-sm">
                                    Recruit
                                </a>
                            </td></tr>
                        {% endfor %}
                    </tbody>
                </table>

                <span class="pull-right">
                    <a href="{% url 'character:inventory' %}" class="btn btn-sm btn-primary">
                        Manage
                    </a>
                </span>
                <h5>Your inventory</h5>

                <ul>
                    <li>{{ request.hero.cash }} silver coins</li>
                    {% for item in request.hero.inventoryitem_set.all %}
                        <li>{{ item }}</li>
                    {% endfor %}
                </ul>
            </div>
            <div class="col-xs-12 col-md-9">
        {% endif %}

        {% include 'base/messages.html' %}

        {% block content %}{% endblock %}

        {% if request.hero and not hide_sidebar %}
            </div>
        {% endif %}
    </div>

    <footer class="footer">
        <div class="container">
            <p class="text-muted">
                <a href="{% url 'help:about' %}">Finem Imperii</a> - {% include 'base/build.html' %}
            </p>
        </div>
    </footer>
{% endblock %}
